#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityNationalDayMissionData
{
	//任务ID
	int mID;
	//任务类型
	int mCompleteType;
	//任务名
	std::string mTaskName;
	//任务描述
	std::string mTaskDescription;
	//所在支线
	int mTheBranchLine;
	//所在阶段
	int mStage;
	//完成计数
	int mCompleteCount;
	//奖励物品ID
	std::vector<int> mAwardItemIDs;
	//奖励物品数量
	std::vector<int> mAwardItemCounts;
	//任务icon
	std::string mTaskIcon;
	//二级界面icon
	std::string mSecondaryInterfaceICON;
	//任务星级
	int mTaskStar;
	//任务限时
	int mTaskLimits;
	//特殊参数,填0不生效。对任务捕获指定鱼需要填写
	int mCompleteParam;
};

class M_ActivityNationalDayMission
{
public:
private:
	static std::auto_ptr<M_ActivityNationalDayMission> msSingleton;
public:
	int GetCount();
	const M_ActivityNationalDayMissionData* GetData(int ID);
	boost::unordered_map<int, M_ActivityNationalDayMissionData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityNationalDayMission* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityNationalDayMissionData> mMapData;
};
